.basemap-setting {
  .list-none {
    list-style-type: none;
  }
  .base__list-reset {
    list-style: none;
    padding-left: 0;
    margin: 0;
  }

  .menu-bar__menu-item {
    display: block;
    float: left;
    margin-right: 10px;
  }

  .button {
    border-radius: 2px;
    position: relative;
    border: 0;
  }

  .buttons__btn {
    font-size: 0.8125rem;
    padding: 7px;
    color: #ebebeb;
    display: block;
    min-height: 28px;
    font-family: 'Open Sans', sans-serif;
    opacity: 0.95;
    background-color: #222831;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    line-height: 1.3;
  }

  .panel__is-open {
    -moz-transform: scale(1) translateZ(0);
    -o-transform: scale(1) translateZ(0);
    -ms-transform: scale(1) translateZ(0);
    -webkit-transform: scale(1) translateZ(0);
    transform: scale(1) translateZ(0);
  }

  .panel__panel {
    width: auto;
  }

  .panel__map_inner {
    left: -200px;
    width: 300px;
  }

  .panel__setting_inner {
    right: 40px;
    width: 300px;
  }

  .panel__user_inner {
    right: 12px;
    width: 300px;
  }

  .panel__content {
    max-height: calc(100vh - 150px);
    overflow-y: auto;
    overflow-x: hidden;
    font-size: 0.8125rem;
  }

  .panel__caret {
    content: '';
    display: block;
    height: 20px;
    width: 20px;
    background: #2e3641;
    position: absolute;
    top: -3px;
    z-index: -1;
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
  }

  .panel__section {
    padding: 5px;
    display: block;
  }

  .panel__heading {
    padding: 5px;
    font-size: 0.8125rem;
    font-weight: bold;
  }

  .base__col {
    float: left;
    box-sizing: border-box;
  }

  .base__scrollbars::-webkit-scrollbar {
    width: 10px;
    height: 8px;
  }

  .base__scrollbars::-webkit-scrollbar-thumb {
    background: rgba(136, 136, 136, 0.6);
  }

  .base__scrollbars::-webkit-scrollbar-track {
    background: rgba(136, 136, 136, 0.1);
  }

  .button-panel {
    font-size: 0.625rem;
    line-height: 4;
    border: 1px solid #4b525b;
  }

  .buttons__btn-green {
    background-color: #00ad7c;
    color: #ebebeb;
    border-radius: 3px;
    padding: 13px;
    border: none;
    font-family: Roboto, sans-serif;
    font-weight: 500;
    font-size: 15px;
    height: calc(1.5em + 1rem + 10px);
    width: 100%;
  }

  .buttons__btn-hollow {
    background: none;
    color: #ebebeb;
    border-radius: 3px;
    padding: 13px;
    border: none;
    font-family: Roboto, sans-serif;
    font-weight: 500;
    font-size: 15px;
    height: calc(1.5em + 1rem + 10px);
    width: 100%;
    box-shadow: none;
  }

  .map-panel__btn--base-map {
    padding: 0;
    position: relative;
    display: block;
    line-height: 1.2;
    box-shadow: none;
  }

  .map-panel__list-item {
    padding: 3px;
  }

  .map-panel__btn--base-map:hover,
  .map-panel__btn--base-map:focus {
    border: 1px solid rgba(255, 255, 255, 0.15);
  }

  .map-panel img {
    width: 85px;
    height: 60px;
    border: 1px solid #ebebeb;
    border-radius: 2px;
  }

  .button-panel:hover,
  .map-panel__is-active {
    background-color: #00ad7c;
  }

  .button-panel:hover,
  .map-panel__is-active,
  .map-panel__btn--base-map:hover img {
    border: 1px solid #00ad7c;
  }

  .map-panel__btn--base-map:hover.my-checkfield-selected,
  .map-panel__is-active.my-checkfield-selected {
    border: 1px solid #65c6c4;
  }

  // CSS - Post checkmark in upper left corner of div
  // https://stackoverflow.com/questions/44703192/css-post-checkmark-in-upper-left-corner-of-div
  .map-panel-check {
    right: 5px;
    z-index: 3;
    bottom: 5px;
  }

  .geometry-options {
    display: flex;
    flex-direction: row;
  }

  .geometry-button {
    flex: 1;
    border-style: solid;
    border-width: 1px;
    border-image: none;
  }

  .geometry-button-selected {
    background: #4c4c4c;
    color: #ebebeb;
  }

  ::ng-deep .modal-content {
    border-radius: 5px;
  }

  .map-panel-title {
    font-size: 0.8125rem;
    background: #4b525b;
  }
}
